/**
 * Define apeman store
 * @function define
 * @returns Store
 */
"use strict";

const Apemanstore = require('./apemanstore');

/** @lends define */
function define(reducer, properies) {
    function Store(config) {
        let s = this;
        s.__proto__ = new Apemanstore(reducer, config);
        Object.assign(s, Store.prototype, config);
    }

    Store.prototype = properies || {};

    Store.singleton = new Store();
    Store.assign = function assign(config) {
        let Store = this;
        Array.prototype.slice.call(arguments, 0).forEach(config => {
            Object.assign(Store.prototype || {}, config);
            Object.assign(Store.singleton, config);
        });
        return Store;
    };
    return Store;
}

module.exports = define;
