/**
 * apeman flavored redux store.
 * @module apemanstore
 */

"use strict";

const create = require('./create'),
    define = require('./define'),
    pkg = require('../package.json'),
    Apemanstore = require('./apemanstore');

let lib = create.bind(this);
lib.version = pkg.version;
lib.Apemanstore = Apemanstore;
lib.define = define;

module.exports = lib;